List a company's service orders
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/service-orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/service-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/service-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/service-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "service_order",
"id": "so_0346sFPEvSkJvY8vt14NNw",
"company": "<string>",
"product_key": "ein",
"status": "received",
"unit_amount": 7900,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"interval": "one_time",
"options": {
"llc_members": "multi_member"
},
"form_required": true,
"workflow_status": "<string>",
"form": {
"fields": [
{
"field_name": "<string>",
"field_type": "text",
"key": "<string>",
"required": true,
"options": [
"<string>"
],
"guidance": "<string>",
"help": "<string>",
"note": "<string>",
"placeholder": "<string>",
"info_points": [
"<string>"
],
"conditional": {
"field": "<string>",
"values": [
"<string>"
]
},
"validation": {
"pattern": "<string>",
"min_length": 123,
"max_length": 123,
"min": 123,
"max": 123
},
"file": {
"accepted_types": [
"<string>"
],
"max_size_bytes": 123
},
"group": "owner_1",
"group_label": "Ada Lovelace"
}
],
"title": "<string>",
"warning": "<string>"
},
"quote": {
"state": "pending",
"unit_amount": 123,
"currency": "<string>",
"quoted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z"
},
"shareholder": "<string>",
"outcome": "<string>",
"included_in": "<string>",
"fees": [
{
"kind": "state_fee",
"unit_amount": 30000,
"currency": "usd"
}
],
"next_renewal_at": "2023-11-07T05:31:56Z",
"renewal_cancel_requested_at": "2023-11-07T05:31:56Z",
"renewal_canceled_at": "2023-11-07T05:31:56Z",
"renewal_ends_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"files": [
{
"object": "file",
"id": "file_0346sFPEvSkJvY8vt14NNw",
"name": "Articles_of_Incorporation.pdf",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"content_type": "application/pdf",
"size": 123,
"purpose": "identity_document",
"source": "operations",
"kind": "ein_letter",
"service_order": "so_0346sFPEvSkJvY8vt14NNw",
"url": "<string>",
"consumed": true
}
]
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}List a company's service orders
GET
/
companies
/
{companyID}
/
service-orders
List a company's service orders
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/service-orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/service-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clemta.com/v1/companies/{companyID}/service-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clemta.com/v1/companies/{companyID}/service-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"items": [
{
"object": "service_order",
"id": "so_0346sFPEvSkJvY8vt14NNw",
"company": "<string>",
"product_key": "ein",
"status": "received",
"unit_amount": 7900,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"interval": "one_time",
"options": {
"llc_members": "multi_member"
},
"form_required": true,
"workflow_status": "<string>",
"form": {
"fields": [
{
"field_name": "<string>",
"field_type": "text",
"key": "<string>",
"required": true,
"options": [
"<string>"
],
"guidance": "<string>",
"help": "<string>",
"note": "<string>",
"placeholder": "<string>",
"info_points": [
"<string>"
],
"conditional": {
"field": "<string>",
"values": [
"<string>"
]
},
"validation": {
"pattern": "<string>",
"min_length": 123,
"max_length": 123,
"min": 123,
"max": 123
},
"file": {
"accepted_types": [
"<string>"
],
"max_size_bytes": 123
},
"group": "owner_1",
"group_label": "Ada Lovelace"
}
],
"title": "<string>",
"warning": "<string>"
},
"quote": {
"state": "pending",
"unit_amount": 123,
"currency": "<string>",
"quoted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z"
},
"shareholder": "<string>",
"outcome": "<string>",
"included_in": "<string>",
"fees": [
{
"kind": "state_fee",
"unit_amount": 30000,
"currency": "usd"
}
],
"next_renewal_at": "2023-11-07T05:31:56Z",
"renewal_cancel_requested_at": "2023-11-07T05:31:56Z",
"renewal_canceled_at": "2023-11-07T05:31:56Z",
"renewal_ends_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"files": [
{
"object": "file",
"id": "file_0346sFPEvSkJvY8vt14NNw",
"name": "Articles_of_Incorporation.pdf",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"company": "<string>",
"content_type": "application/pdf",
"size": 123,
"purpose": "identity_document",
"source": "operations",
"kind": "ein_letter",
"service_order": "so_0346sFPEvSkJvY8vt14NNw",
"url": "<string>",
"consumed": true
}
]
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Headers
Date-based API version to run this request against.
Example:
"2026-08-13"
Path Parameters
ID of the company.
Pattern:
^cmp_[0-9A-Za-z]{22}$Query Parameters
Relations to embed. Expandable: files (the documents delivered on the order, newest first - the same set GET /v1/files?service_order_id= answers).
Available options:
files ⌘I